package net.grandnature.android.soundball;

import java.util.Random;

import android.content.Context;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.media.AudioManager;
import android.media.SoundPool;
import android.os.Vibrator;

/**
 * 箱
 */
public class Ballbox extends SoundballCharacter {
	private static Vibrator vibrator;
	private SoundPool sp;
	private int soundId; // // ロードされた音声のID
	private static final Random random = new Random();

	public Ballbox(Context context, Drawable drawable, Rect viewRect) {
		super(context, drawable, viewRect);
	}

	@Override
	protected void init() {
		// 音声のロード
		sp = new SoundPool(1, AudioManager.STREAM_MUSIC, 0);
		soundId = sp.load(context, R.raw.dontpanic, 1);
		vibrator = (Vibrator) context
				.getSystemService(Context.VIBRATOR_SERVICE);
		// 描画領域の中央に配置
		rect.offset(viewRect.right/2 - width/2, viewRect.bottom/2 - height/2);
	}

	/**
	 * 効果を再生する。
	 */
	public void playbackEffect() {
		// 音声とバイブレーション
		sp.play(soundId, 1.0f, 1.0f, 0, 0, random.nextFloat() + 0.5f);
		vibrator.vibrate(100);
	}

}
